do_splice_direct
Prev | Chapter 31. splice API | Next

## Name

do_splice_direct — splices data directly between two files

## Synopsis

`long do_splice_direct (` | struct file * | in,
| loff_t * | ppos,
| struct file * | out,
| size_t | len,
| unsigned int | flags`)`;

## Arguments

`in`

  file to splice from

`ppos`

  input file offset

`out`

  file to splice to

`len`

  number of bytes to splice

`flags`

  splice modifier flags

## Description

For use by `do_sendfile`. splice can easily emulate sendfile, but doing it in the application would incur an extra system call (splice in + splice out, as compared to just `sendfile`). So this helper can splice directly through a process-private pipe.

Prev | Up | Next
splice_direct_to_actor | Home | Chapter 32. pipes API